* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #2c3e50;
    font-family: 'Arial', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: 100vh;
    overflow: hidden;
    color: #ecf0f1;
}

#password-generator {
    background-color: #34495e;
    border: 0.3rem solid #2c3e50;
    border-radius: 1.5rem;
    padding: 2rem;
    width: 30rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.3);
}

#password {
    display: flex;
    align-items: center;
    gap: 1rem;
    width: 100%;
}

#result {
    flex: 1;
    padding: 0.8rem;
    background-color: #ecf0f1;
    color: #2c3e50;
    font-size: 1.2rem;
    border: none;
    border-radius: 0.5rem;
    outline: none;
    text-align: center;
}

#copy-button {
    background-color: #e67e22;
    color: #ecf0f1;
    padding: 0.8rem 1rem;
    border: none;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#copy-button:hover {
    background-color: #d35400;
}

label {
    font-size: 1rem;
}

#password-length {
    width: 100%;
    margin-top: 0.5rem;
    accent-color: #e67e22;
}

#options {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
    width: 100%;
}

#options label {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    background-color: #ecf0f1;
    padding: 0.8rem;
    border-radius: 0.5rem;
    font-size: 1rem;
    color: #2c3e50;
    cursor: pointer;
    transition: transform 0.2s ease;
}

#options label:hover {
    transform: scale(1.05);
}

#generate-button {
    background-color: #e67e22;
    color: #ecf0f1;
    border: none;
    border-radius: 0.5rem;
    padding: 1rem 2rem;
    font-size: 1.2rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: 100%;
}

#generate-button:hover {
    background-color: #ef7306;
}

output {
    font-size: 1.2rem;
    color: #ecf0f1;
    margin-left: 0.5rem;
}